#include <iostream>
#include <string>

using namespace std;

int main() {
	string ulaz;
	cin>>ulaz;
	
	int br_nov = 0;
	
	for(int i=0; i<ulaz.length(); i++){
		if(ulaz[i] == '1' || ulaz[i] == '2' || ulaz[i] == '5'){
			br_nov++;
		}
		if(ulaz[i] == '3' || ulaz[i] == '4' || ulaz[i] == '6' || ulaz[i] == '7'){
			br_nov+=2;
		}
		if(ulaz[i] == '8' || ulaz[i] == '9'){
			br_nov+=3;
		}
	}
	
	cout<<br_nov;
	
	return 0;
}